using System.Collections.Generic;
using System.Windows;

namespace GroupColumnHeaders_WPF
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();

			this.RadGridView1.ItemsSource = Vehicle.GetSampleListOfPersons();
		}
	}

	public class Vehicle
	{
		public Vehicle(string make, string model,double l, double w, double h, string price)
		{			
			this.Make = make;
			this.Model = model;
			this.L = l;
			this.W = w;
			this.H = h;
			this.Price = price;
		}

		public string Make { get; set; }
		public string Model { get; set; }

		public double L { get; set; }
		public double W { get; set; }
		public double H { get; set; }
		
		public string Price { get; set; }

		public static List<Vehicle> GetSampleListOfPersons()
		{
			var vehicles = new List<Vehicle>
			              	{
								new Vehicle("Pagani","Zonda R",4886,2014,1141, "n/a"),
								new Vehicle("Rolls-Royce","Phantom",5834,1990,1630, "n/a"),
								new Vehicle("Porsche","Turbo",4450,1852,1300, "170 000"),
								new Vehicle("Mini","John Cooper Works",3714,1683,1407, "31 500"),
								new Vehicle("Mercedes-Benz","CLS 63 AMG",4917,1873,1430, "131 300"),
								new Vehicle("Mazda","RX-8",4430,1770,1340, "34 200")
			              	};
			
			return vehicles;
		}
	}
}
